BeagleWksStructManager::Frame Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
BeagleWksStructManager::Frame Struct Reference

Internal: a structure use to store a frame in a BeagleWorks files. More...

`#include <BeagleWksStructManager.hxx>`

## Public Member Functions
| Frame ()
| constructor

## Public Attributes
bool | m_charAnchor
| a flag to know if this is a char or a page frame
int | m_id
| frame id
int | m_pictId
| the picture id
MWAWVec2f | m_origin
| the origin ( for a page frame )
MWAWVec2f | m_dim
| the dimension
int | m_page
| the page ( for a page frame )
int | m_wrap
| the wrapping: 0=none, 1=rectangle, 2=irregular
MWAWBorder | m_border
| the border
int | m_bordersSet
| the list of border which are set in form libmwaw::LeftBit|...
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &frm)
| operator<<

## Detailed Description

Internal: a structure use to store a frame in a BeagleWorks files.

## Constructor & Destructor Documentation

## ◆ Frame()

BeagleWksStructManager::Frame::Frame | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Frame const & | frm
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_border

MWAWBorder BeagleWksStructManager::Frame::m_border

the border

Referenced by BeagleWksStructManager::readFrame(), BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksSSParser::sendFrame().

## ◆ m_bordersSet

int BeagleWksStructManager::Frame::m_bordersSet

the list of border which are set in form libmwaw::LeftBit|...

Referenced by BeagleWksStructManager::readFrame(), BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksSSParser::sendFrame().

## ◆ m_charAnchor

bool BeagleWksStructManager::Frame::m_charAnchor

a flag to know if this is a char or a page frame

Referenced by BeagleWksStructManager::readFrame(), and BeagleWksParser::sendFrame().

## ◆ m_dim

MWAWVec2f BeagleWksStructManager::Frame::m_dim

the dimension

Referenced by BeagleWksStructManager::readFrame(), BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksSSParser::sendFrame().

## ◆ m_extra

std::string BeagleWksStructManager::Frame::m_extra

extra data

Referenced by BeagleWksStructManager::readFrame().

## ◆ m_id

int BeagleWksStructManager::Frame::m_id

frame id

Referenced by BeagleWksStructManager::readFrame().

## ◆ m_origin

MWAWVec2f BeagleWksStructManager::Frame::m_origin

the origin ( for a page frame )

Referenced by BeagleWksStructManager::readFrame(), BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksSSParser::sendFrame().

## ◆ m_page

int BeagleWksStructManager::Frame::m_page

the page ( for a page frame )

Referenced by BeagleWksStructManager::readFrame(), BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksSSParser::sendFrame().

## ◆ m_pictId

int BeagleWksStructManager::Frame::m_pictId

the picture id

Referenced by BeagleWksStructManager::readFrame(), BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksSSParser::sendFrame().

## ◆ m_wrap

int BeagleWksStructManager::Frame::m_wrap

the wrapping: 0=none, 1=rectangle, 2=irregular

Referenced by BeagleWksStructManager::readFrame(), BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), and BeagleWksSSParser::sendFrame().

The documentation for this struct was generated from the following file:

- BeagleWksStructManager.hxx